Gecode::Int::SupportValues< View, A > Class Template Reference
Other available functionality » Integer propagators

Support value iterator and recorder More...

`#include <support-values.hh>`

## Public Member Functions

| SupportValues (A &a, View x)
| Initialize for view x.
| ~SupportValues (void)
| Destructor.

## Iteration control

void | reset (void)
| Reset iterator.
bool | operator() (void) const
| Test whether iterator is still at a value or done.
void | operator++ (void)
| Move iterator to next value (if possible).

## Value access

int | val (void) const
| Return current value.

## Support control

void | support (void)
| Mark current (iterator) value as supported.
bool | support (int n)
| Mark n as supported if possible.
bool | support (long long int n)
| Mark n as supported if possible.
ModEvent | tell (Space &home)
| Remove all unsupported values.

## Detailed Description

template<class View, class A>
class Gecode::Int::SupportValues< View, A >

Support value iterator and recorder

Requires

#include <gecode/int/support-values.hh>
support-values.hh

Definition at line 48 of file support-values.hh.

## Constructor & Destructor Documentation

## SupportValues()

template<class View, class A>

Gecode::Int::SupportValues< View, A >::SupportValues | ( | A & | a,
|  | View | x )

inline

Initialize for view x.

Definition at line 45 of file support-values.hpp.

## ~SupportValues()

template<class View, class A>

Gecode::Int::SupportValues< View, A >::~SupportValues | ( | void |  | ) |

inline

Destructor.

Definition at line 65 of file support-values.hpp.

## Member Function Documentation

## reset()

template<class View, class A>

void Gecode::Int::SupportValues< View, A >::reset | ( | void |  | ) |

inline

Reset iterator.

Definition at line 38 of file support-values.hpp.

## operator()()

template<class View, class A>

bool Gecode::Int::SupportValues< View, A >::operator() | ( | void |  | ) | const

inline

Test whether iterator is still at a value or done.

Definition at line 82 of file support-values.hpp.

## operator++()

template<class View, class A>

void Gecode::Int::SupportValues< View, A >::operator++ | ( | void |  | ) |

inline

Move iterator to next value (if possible).

Definition at line 72 of file support-values.hpp.

## val()

template<class View, class A>

int Gecode::Int::SupportValues< View, A >::val | ( | void |  | ) | const

inline

Return current value.

Definition at line 88 of file support-values.hpp.

## support() [1/3]

template<class View, class A>

void Gecode::Int::SupportValues< View, A >::support | ( | void |  | ) |

inline

Mark current (iterator) value as supported.

Definition at line 94 of file support-values.hpp.

## support() [2/3]

template<class View, class A>

bool Gecode::Int::SupportValues< View, A >::support | ( | int | n | ) |

inline

Mark n as supported if possible.

Definition at line 123 of file support-values.hpp.

## support() [3/3]

template<class View, class A>

bool Gecode::Int::SupportValues< View, A >::support | ( | long long int | n | ) |

inline

Mark n as supported if possible.

Definition at line 131 of file support-values.hpp.

## tell()

template<class View, class A>

ModEvent Gecode::Int::SupportValues< View, A >::tell | ( | Space & | home | ) |

inline

Remove all unsupported values.

Definition at line 175 of file support-values.hpp.

The documentation for this class was generated from the following files:

- gecode/int/support-values.hh
- gecode/int/support-values.hpp